# 32/64bit spec
#
%undefine __check_files

Summary:	Window manager for Xfce desktop environment
Summary(de):	Fenstermanager für die Xfce Desktopumgebung
Name:		xfwm4
Version: 	4.12.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}drm-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}startup-notification-1-devel
BuildRequires: %{_lib}wnck1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xdamage-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: xfce4-dev-tools
BuildRequires: xfconf-devel
BuildRequires: gettext-devel
BuildRequires: libpthread-stubs
BuildRequires: exo
#-------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-build


%description
The Xfce 4 window manager manages the placement of application
windows on the screen, provides beautiful window decorations,
manages workspaces or virtual desktops, and natively supports
multiscreen mode. It provides its own compositing manager (
from the Xorg Composite extension) for true transparency and shadows.
The Xfce 4 window manager includes a keyboard shorcuts editor for user
specific commands and basic windows manipulations, and it provides a
dialog for advanced tweaks.

%description -l de
Der XFCE-4-Fenster-Manager verwaltet die Positionierung der Anwendungsfenstern
auf dem Bildschirm, bietet wunderschöne Fensterdekorationen, verwaltet 
Arbeitsbereiche oder virtuelle Desktops und unterstützt nativ einen Modus 
für mehrere Bildschirme. Es bietet einen eigenen Compositing-Manager 
(von der Xorg-Composite-Erweiterung) für echte Transparenz und Schatten.

Der XFCE-4-Fenster-Manager enthält einen Editor für Tastenkombinationen, 
damit der Benutzer bestimmte Befehle und grundlegende Fenstereinstellungen 
vornehmen kann und bietet einen Dialog für erweiterte Einstellungen. 

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

%build
./autogen.sh --prefix=/usr --libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir}/X11 \
	--enable-compositor \
	--enable-xsync \
	--enable-render \
	--enable-randr \
	--enable-startup-notification \
	--disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%dir %{_libdir}/xfce4/xfwm4
%{_bindir}/xfwm4*
%{_libdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*
%{_datadir}/themes/
%{_datadir}/xfwm4
%{_datadir}/locale

%files doc
%defattr(-,root,root)
%doc example.gtkrc-2.0 AUTHORS COMPOSITOR README TODO


%changelog
* Sat May 16 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.3-1pclos2015
- 4.12.3
- add new BR exo

* Sun Mar 15 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.2-1pclos2015
- 4.12.2

* Sun Mar 15 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2015
- 4.12.1

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- add missing BR gettext-devel, libpthread-stubs
- remove deprecated KDE systray protocol proxy configure option
- remove unused patch

* Fri Jan 03 2014 bb <bb> 4.11.1-2pclos2014
- add libdir to build option so autogen.sh puts libraries in proper place
- change rpmgroup Documenation for doc package
- clean up BR (out of chaos becomes order)

* Fri Dec 27 2013 ghostbunny <ghostbunny at gmx dot de> 4.11.1-1pclos2014
- 4.11.1
- fix BRs

* Sun May 05 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.1-1pclos2013
- 4.10.1

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Wed Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- commented patch

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.8.3-2pclos2012
- added tiling patch

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.8.3-1pclos2012
- update

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 4.8.1-2pclos2011
- fix defaults

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 4.8.1-1pclos2011
- 4.8.1

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 4.8.0-1pclos2011
- update for xfce4.8

* Mon Nov 08 2010 Sproggy <desproggster at gmail.com> 4.7.1-2pclos2010
- 4.7.1 update for xfce4.8pre1

* Sun May 23 2010 Texstar <texstar at gmail.com> 4.6.2-1pclos2010
- 4.6.2
